/*
 * Copyright 2000 by Jean-Claude Christophe <jch@oleane.net>
 *                                          <jch@bsdfr.org>
 *
 * Home page:  http://www.bsdfr.org/projects/tac_bsd/
 *
 * tac_bsd.h  This file defines some variables used by the code
 */

#ifndef _TAC_BSD_H_
#define _TAC_BSD_H_

#include <sys/types.h>

#define CONF_FILE "/etc/tac_bsd.conf"
#define NOLOGIN_FILE "/etc/nologin"
#define MOTD_FILE "/etc/motd"
#define HUSHLOGIN ".hushlogin"


#define MAX_SRV 4               /* No more than 4 servers. */
#define DEFAULT_PORT 49         /* Default port of TACACS. You can change it in conf. file*/

#define ALARM_USER 1            /* used for authenticate alarm type */
#define ALARM_PASS 2
extern int alarmtype;           /* will be equal to ALARM_USER or ALARM_PASS */

extern int seq_no;              /* sequence of each packet */
extern int session_id;          /* identifier for _ONE_ session */

extern char *username, *password, *port; /* information about user */
extern uid_t uid_default;
extern gid_t gid_default;

extern char *term;              /* information of our current terminal */
extern char *hostname;          /* the hostname which the user come from */
extern char *server;            /* Server TACACS to use */

extern int file_exist(char *);  /* check if file or directory exit */

#endif /* _TAC_BSD_H_ */
